/* 
●注意
・font-size指定はdevではなくその中のspanにかけること。（chromiumで天気フォントなどの縦位置がおかしくなる）
 */

@font-face {
  font-family: 'DSEG7 Classic Bold Italic';
  src: url('./font/DSEG7Classic-BoldItalic_metric.woff2?v=0603a') format('woff2');
}

@font-face {
  font-family: 'DSEG14 Classic-Bold Italic';
  src: url('./font/DSEG14Classic-BoldItalic_metric.woff2?v=0603a') format('woff2');
}

@font-face {
  font-family: 'DSEG Weather';
  src: url('./font/DSEGWeather.woff2?v=0603a') format('woff2');
}

@font-face {
  font-family: '機械彫刻用標準書体ritsuka M';
  src: url('./font/KikaiChokokuJIS-ritsuka-Md_metric.woff2?v=0603a') format('woff2');
}

@font-face {
  font-family: '機械彫刻用標準書体 M 2/3かな';
  src: url('./font/KikaiChokokuJIS-XCnKn_metric.woff2?v=0603a') format('woff2');
}

@font-face {
  font-family: '小伝馬町16幾何';
  src: url('./font/KH-Dot-Kodenmachou-16-Ki.woff2?v=0603a') format('woff2');
}

/* マウスカーソル非表示 */
/*
* {
	cursor: none !important;
}
*/

:root{
	--r: 1;	/* 拡大率 */
}

/* 背景色（領域外） */
body.main{
	margin: 0vw;
	color: var(--print-color0);
}
body.main.normalbg{
	background-color: var(--bgcolor);	/* 通常はvboxと同一色 */
}
body.main.blackbg{
	background-color: black;	/* ノッチありiPhone横向き全画面用 */
}
body.main.debugbg{
	background-color: dimgray;	/* デバッグモード用 */
}
body.main.flash-blur{
	filter: blur(0.80vw);		/* 画面タッチで設定変更する際、ぼかし効果をいれる */
}
body.main.flash-invert{
	filter: invert();		/* 画面タッチで設定変更する際、色輝度反転効果をいれる */
}

/* 画面縮小時の配置狂いを抑止 */
div {
	white-space: nowrap;
	font-size: 0.01vw;
}

/* 縦横比が保たれた外枠となる仮想ボックス */
div.vbox{
	background-color: var(--bgcolor);
	user-select: none;
	-webkit-user-select: none;
}
div.vbox.debug{
	user-select: auto;
	-webkit-user-select: auto;
}

/* 時計：時・分の数字 */
.clock-hourmin{
	font-family: 'DSEG7 Classic Bold Italic';
	font-size: calc(21.85vw * var(--r));
}
.clock-hourmin.on{
	color: var(--led-on-color0);
}

/* 時計：秒の数字 */
.clock-sec{
	font-family: 'DSEG7 Classic Bold Italic';
	font-size: calc(10.95vw * var(--r));
}
.clock-sec.on{
	color: var(--led-on-color0);
}

/* 時計：年月日の数字（中） */
.clock-date{
	font-family: 'DSEG7 Classic Bold Italic';
	font-size: calc(8.60vw * var(--r));
}

/* 時計：曜日の英字（中） */
.clock-week{
	font-family: 'DSEG14 Classic-Bold Italic';
	font-size: calc(8.60vw * var(--r));
}

/* 時計：年月日の数字（小） */
.clock-date-s{
	font-family: 'DSEG7 Classic Bold Italic';
	font-size: calc(4.30vw * var(--r));
}

/* 時計：曜日の英字（小） */
.clock-week-s{
	font-family: 'DSEG14 Classic-Bold Italic';
	font-size: calc(4.30vw * var(--r));
}

/* 時計：AM・PMの英字 */
.clock-ampm{
	font-family: 'DSEG14 Classic-Bold Italic';
	font-size: calc(8.60vw * var(--r));
}

.clock-date.on, .clock-week.on, .clock-ampm.on, .clock-date-s.on, .clock-week-s.on{
	color: var(--led-on-color0);
}


/* 天気予報：7セグ数字（大） */
.weather-digit{
	font-family: 'DSEG7 Classic Bold Italic';
	font-size: calc(3.50vw * var(--r));
}
.weather-digit.on{
	color:var(--led-on-color2);
}

/* 天気予報：7セグ数字（小） */
.weather-digit-s{
	font-family: 'DSEG7 Classic Bold Italic';
	font-size: calc(2.30vw * var(--r));
}
.weather-digit-s.on{
	color: var(--led-on-color2);
}

/* 天気予報：天気マーク（大） */
.weather-mark{
	font-family: 'DSEG Weather';
	font-size: calc(6.50vw * var(--r));
}
.weather-mark.on{
	color:var(--led-on-color1);
}

/* 天気予報：天気マーク（小） */
.weather-mark-s{
	font-family: 'DSEG Weather';
	font-size: calc(4.20vw * var(--r));
}
.weather-mark-s.on{
	color: var(--led-on-color1);
}

/* 機械彫刻文字（中） */
.engraved-chara-m{
	font-family: '機械彫刻用標準書体ritsuka M';
	font-size: calc(2.60vw * var(--r));
	color: var(--print-color0);
	letter-spacing: calc(0.24vw * var(--r));
	vertical-align: 5%;
}

/*  機械彫刻文字（中）（幅細のかな数字） */
.engraved-chara-m-narrow{
	font-family: '機械彫刻用標準書体 M 2/3かな', '機械彫刻用標準書体ritsuka M';
	font-size: calc(2.60vw * var(--r));
	color: var(--print-color0);
	letter-spacing: 0vw;
	vertical-align: 5%;
}

/* 機械彫刻文字（小） */
.engraved-chara-s{
	font-family: '機械彫刻用標準書体ritsuka M';
	font-size: calc(2.00vw * var(--r));
	color: var(--print-color0);
	letter-spacing: calc(0.15vw * var(--r));
	vertical-align: 5%;
}

/*  機械彫刻文字（小）（幅細のかな数字） */
.engraved-chara-s-narrow{
	font-family: '機械彫刻用標準書体 M 2/3かな', '機械彫刻用標準書体ritsuka M';
	font-size: calc(2.00vw * var(--r));
	color: var(--print-color0);
	letter-spacing: calc(0.15vw * var(--r));	/* 中とは異なる */
	vertical-align: 5%;
}

/* 機械彫刻罫線 */
hr.engraved-hr{
/*
	border-style: solid;
	border-width: calc(0.20vw * var(--r)) 0vw 0vw 0vw;
	border-color: var(--print-color0);
*/
	border-width: 0vw;
	background-color: var(--print-color0);
	height: calc(0.20vw * var(--r));
}

/* 電光テロップ */
div.telop-back{
	background-color: var(--led-off-color);
	height: calc(2.60vw * var(--r));
}
span.telop{
	font-family: '小伝馬町16幾何';
	font-size: calc(1.90vw * var(--r));
	margin-left: calc(0.80vw * var(--r));
	color: var(--led-on-color1);
}

/* パイロットランプ */
.pilotlamp{
	font-family: '機械彫刻用標準書体ritsuka M';
	font-size: calc(2.00vw * var(--r));
	vertical-align: 5%;
}
.pilotlamp.ok{
	color: var(--led-on-color3);
}
.pilotlamp.ng{
	color: var(--led-on-color4);
}

/* LED消灯バック */
.off{
	color: var(--led-off-color);
}
